## ktexteditor 5.56.0

=== debian/changelog ===
ktexteditor (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:26 +0000

ktexteditor (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:50 +0000

ktexteditor (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:15 +0000

ktexteditor (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:51 +0000

ktexteditor (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Update install files.
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:14 +0000
