## ktexteditor 5.62.0

=== debian/changelog ===
ktexteditor (5.62.0-1+rpi2) bullseye-staging; urgency=medium

  * Sourceful rebuild to work around limitations of migrator.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 21 Nov 2019 05:47:37 +0000

ktexteditor (5.62.0-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 5.51.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 06 Dec 2018 08:03:01 +0000]
  * Update symbols file for Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 06 Oct 2019 00:21:03 +0000

ktexteditor (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:12 -0700

ktexteditor (5.61.0-1) experimental; urgency=medium

  * New revision
  * Update symbols files from buildds logs (5.54.0-1).
    Thanks to Aurelien Jarno for the report and patch (Closes: 924722)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #930496)
    + Drop redundant perl from Build-Depends.
    + Add missing qttools5-dev to Build-Depends (see #915122).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Update symbols file
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

  [ Rik Mills ]
  * Move dbus policy file to new location

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:56 +0100
