=== debian/control ===
--- 
+++ 
@@ -3,45 +3,41 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf5archive-dev (>= 5.62.0~),
-               libkf5auth-dev (>= 5.62.0~),
-               libkf5config-dev (>= 5.62.0~),
-               libkf5guiaddons-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5iconthemes-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5parts-dev (>= 5.62.0~),
-               libkf5sonnet-dev (>= 5.62.0~),
-               libkf5syntaxhighlighting-dev (>= 5.62.0~),
+               libkf5archive-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5guiaddons-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5parts-dev (>= 5.68.0~),
+               libkf5sonnet-dev (>= 5.68.0~),
+               libkf5syntaxhighlighting-dev (>= 5.68.0~),
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.8.0~),
+               perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qtscript5-dev (>= 5.7.0~),
-               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-               xauth,
-               xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktexteditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktexteditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
 
 Package: ktexteditor-data
-Section: kde
 Architecture: all
-Depends: ${misc:Depends}
 Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -53,9 +49,7 @@
 
 Package: ktexteditor-katepart
 Architecture: any
-Depends: libkf5texteditor5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -71,6 +65,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5texteditor5 (<< 5.47.0~)
+Replaces: libkf5texteditor5 (<< 5.47.0~)
 Description: provide advanced plain text editing services (binaries)
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -83,12 +79,13 @@
  This package contains the helper binaries.
 
 Package: libkf5texteditor-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5parts-dev (>= 5.62.0~),
+Depends: libkf5parts-dev (>= 5.68.0~),
          libkf5texteditor5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.11.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: libkf5texteditor-doc (= ${source:Version})
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
@@ -104,6 +101,7 @@
 Package: libkf5texteditor-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: provide advanced plain text editing services (documentation)
  The KTextEditor interfaces - also called KTE interfaces - are a set
@@ -115,15 +113,16 @@
  (Kate Part).
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5texteditor5
 Architecture: any
+Multi-Arch: same
 Depends: ktexteditor-data (= ${source:Version}),
-         libjs-underscore,
+         libkf5texteditor5-libjs-underscore,
          libkf5texteditor-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: ktexteditor-katepart (= ${binary:Version})
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -132,5 +131,11 @@
  the user to choose which implementation of the editor component to
  use. The only implementation right now is the Kate Editor Component
  (Kate Part).
-Multi-Arch: same
-Recommends: ktexteditor-katepart (= ${binary:Version})
+
+Package: libkf5texteditor5-libjs-underscore
+Architecture: any
+Multi-Arch: foreign
+Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
+Description: Bridge package for libjs-underscore
+ Bridge package for libjs-underscore to allow for installation of
+ libjs-underscore in multi-arch use.
